'use strict';

/**
 * Module dependencies.
 */
var webpack = require('webpack');

/**
 * Export webpack configuration.
 */
module.exports = {
    output: {
        library: 'HTMLReactParser',
        libraryTarget: 'umd'
    },
    externals: {
        'react': {
            root: 'React',
            commonjs2: 'react',
            commonjs: 'react',
            amd: 'react'
        }
    },
    plugins: [
        new webpack.optimize.OccurrenceOrderPlugin(),
        new webpack.DefinePlugin({
            'process.env.NODE_ENV': JSON.stringify(process.env.NODE_ENV)
        })
    ]
};
